Get Chatbot Conversations
curl --request GET \
--url https://api.droxy.ai/v1/conversation/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.droxy.ai/v1/conversation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.droxy.ai/v1/conversation/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.droxy.ai/v1/conversation/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.droxy.ai/v1/conversation/{id}")
.header("x-api-key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.droxy.ai/v1/conversation/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"chatbotName": "<string>",
"startInterval": "<string>",
"endInterval": "<string>",
"createdAt": "<string>",
"conversations": [
{
"id": "<string>",
"createdAt": 123,
"source": {
"type": "<string>",
"discordChannelId": "<string>",
"whatsAppInfo": {
"replyingPhoneNumberId": "<string>",
"replyingPhoneNumber": "<string>",
"senderPhoneNumber": "<string>",
"senderName": "<string>"
},
"facebookInfo": {
"pageId": "<string>",
"senderId": "<string>",
"senderName": "<string>"
},
"instagramInfo": {
"instagramAccountId": "<string>",
"senderId": "<string>",
"senderUsername": "<string>",
"senderName": "<string>"
}
},
"messages": [
{
"text": "<string>",
"fromUser": true
}
],
"analysis": {
"status": "<string>",
"result": {
"summary": "<string>",
"extractedData": {
"keyPoints": [
"<string>"
],
"nextSteps": [
"<string>"
],
"sentimentAnalysis": "<string>",
"intentClassification": "<string>"
},
"customExtractedData": {}
}
}
}
]
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}{
"statusCode": 123,
"message": [
"<string>"
],
"error": "<string>"
}Conversation
Get Chatbot Conversations
Get the chatbot conversations.
GET
/
v1
/
conversation
/
{id}
Get Chatbot Conversations
Authorizations
Path Parameters
The chatbot's id.
Query Parameters
The beginning of the date range to query. Unix timestamp in milliseconds.
The end of the date range to query. Unix timestamp in milliseconds.
An array of conversation source types to filter on. Values can be 'app', 'website', 'link', 'discord', or 'zapier'. Leave empty to not filter on source type.
Response
OK
The chatbot's name.
The beginning of the date range to query. Unix timestamp in milliseconds.
The end of the date range to query. Unix timestamp in milliseconds.
The date the chatbot was created. Unix timestamp in milliseconds.
An array of conversations.
Show child attributes
Show child attributes
⌘I